--    Bugslife table schema
--    db mySql 3.29.47
--    create 
--    auter

use bugslife;

-- ユーザテーブルカラム追加
ALTER TABLE userinfo ADD enableLogin TINYINT UNSIGNED DEFAULT 1	;
ALTER TABLE userinfo ADD enableDispatch TINYINT UNSIGNED DEFAULT 1	;
ALTER TABLE userinfo ADD defSubsystem CHAR(2);
ALTER TABLE userinfo ADD defFunctionName CHAR(2);
ALTER TABLE userinfo ADD defPno CHAR(2);
ALTER TABLE userinfo ADD defLocation CHAR(2);
ALTER TABLE userinfo ADD role  INT UNSIGNED not null;
ALTER TABLE userinfo ADD mailSubsystem CHAR(2);
ALTER TABLE userinfo ADD mailFunctionName CHAR(2);
ALTER TABLE userinfo ADD language INT UNSIGNED DEFAULT 1;

-- Sysconf メール送信可不可フラグ追加
ALTER TABLE SysConf ADD disableMail TINYINT UNSIGNED not null;


